{
  "parent": "minecraft:item/generated",
  "textures": {
    "layer0": "acesbs:item/cigarette"
  },
  "overrides": [
    {
      "predicate": {
        "acesbs:smoking": 1
      },
      "model": "acesbs:item/smoking_cigarette"
    }
  ]
}
